package com.app.security.auth

import grails.gorm.services.Query
import grails.gorm.services.Service
import groovy.transform.CompileStatic
import com.app.security.Login

@CompileStatic
@Service(Login)
interface LoginDataService {

    Login save(String name, String email)

    Login findById(Serializable id)

    Login update(Serializable id, String name, String email)

    void delete(Serializable id)

    @Query("from $Login as contact order by id")
    List<Login> findAllOrderById()

    List<Long> findLoginId()
}