package com.app.security.pages

import geb.Page


class AddPage extends Page {
	static url = 'add'
	static at = { assert driver.title == 'Add New Contact'; true}
	static content = {
		addContact(required: false) { name = 'Rob Winch', email = 'rob@example.com'->
			addForm.name = name
			addForm.email = email
			submit.click()
		}
		addForm { $('form') }
		submit { $('input', type: 'submit') }
	}
}
