package com.app.security.pages

import geb.Page


class LoginPage extends Page {
	static url = 'login'
	static at = { assert driver.title == 'Login'; true}
	static content = {
		login(required: false) { user = 'rod', password = 'koala' ->
			loginForm.username = user
			loginForm.password = password
			submit.click()
		}
		loginForm { $('form') }
		submit { $('input', type: 'submit') }
	}
}
