package com.app.security.pages

import geb.Module
import geb.Page


class ContactsPage extends Page {
	static url = 'secure/'
	static at = { assert driver.title == 'Your Contacts'; true}
	static content = {
		addContact(to: AddPage) { $('a', text: 'Add') }
		contacts { $('table tr').tail().moduleList(ContactModule) }
		logout { $('input[type=submit]', name: 'logoff') }
	}
}

class ContactModule extends Module {
	static content = {
		cell { $('td', it) }
		id { cell(0).text().toInteger() }
		name { cell(1).text() }
		email { cell(2).text() }
		delete { cell(3).$('input', value: 'Delete').click() }
		adminPermission { cell(4).$('a') }
	}
}
